import request from '@/utils/request'

// 查询管道列表
export function listPipe(query) {
  return request({
    url: '/pssr/pipe/list',
    method: 'get',
    params: query
  })
}
// 确认PIPE完成确认清单
export function handleConfirmPipe(data) {
  return request({
    url: '/pssr/pipe/confirmPipe',
    method: 'put',
    data: data
  })
}

// 驳回PIPE完成确认清单
export function handleTurnDownPipe(data) {
  return request({
    url: '/pssr/pipe/turnDownPipe',
    method: 'put',
    data: data
  })
}

// 查询管道列表
export function syncPipe(query) {
  return request({
    url: '/pssr/pipe/syncPipe',
    method: 'get',
    params: query
  })
}

// 查询管道详细
export function getPipe(id) {
  return request({
    url: '/pssr/pipe/' + id,
    method: 'get'
  })
}

// 新增管道
export function addPipe(data) {
  return request({
    url: '/pssr/pipe',
    method: 'post',
    data: data
  })
}

// 修改管道
export function updatePipe(data) {
  return request({
    url: '/pssr/pipe',
    method: 'put',
    data: data
  })
}

// 修改管道
export function updatePipeBatch(data) {
  return request({
    url: '/pssr/pipe/editBatch',
    method: 'put',
    data: data
  })
}

//
export function updatePipeBatchBatch(data) {
  return request({
    url: '/pssr/pipe/editBatch/editBatch',
    method: 'put',
    data: data
  })
}



// 删除管道
export function delPipe(id) {
  return request({
    url: '/pssr/pipe/' + id,
    method: 'delete'
  })
}

// 导出管道
export function exportPipe(query) {
  return request({
    url: '/pssr/pipe/export',
    method: 'get',
    params: query
  })
}
